<%@ page language="java"%> 

<%@ page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,java.text.*,m05bClasses.*" %>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>	
<%@ include file="/m05bIdioma.inc"%>
<HTML>
<HEAD>
<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<title><%= resTit.getString("titLstTagSolicitud")%></title>	
<SCRIPT language=JavaScript>
		function fncRetornar() {
				 document.formSolicitud.action="/m05bParqueMovilWar/m05bImpSoliTagJsp.jsp" ;
				 document.formSolicitud.submit();
		}
</SCRIPT>
</HEAD>	
<BODY style="cursor: wait" onload="document.body.style.cursor='default';document.all['general'].style.visibility='visible';document.all['general'].style.cursor='default';" onunload="document.body.style.cursor='wait';document.all['general'].style.cursor='wait';">
<div  id="general" style="POSITION: absolute;visibility:hidden;cursor: wait">	
<form NAME="formSolicitud" METHOD="POST">
<%	
	m05bComun miComun = new m05bComun();
	String sSolicitudTag = miComun.leerPropiedad("PDF.SolicitudTag"); 

	String sTarjeta = request.getParameter("TarjetaTexto");
    session.setAttribute("Tarjeta",sTarjeta);
	String sTarjeta2=sTarjeta;
	String sCta = request.getParameter("Cta");
	String sTag = request.getParameter("Tag");
	
	String srcPDF = sSolicitudTag + "?Cta="+sCta+"&Tag="+sTag;
	
	java.sql.Connection conn=null;
	PreparedStatement pstmt = null;
	ResultSet rs = null;
      try
      {  //HttpSession session = request.getSession(true);
			m05bConexion miConex = new m05bConexion();
			conn = miConex.getConnection();
   String sSentencia=" SELECT  1 "+
" FROM "+
  m05bConstantes.TAB_TARJETAS+
" WHERE ";
//TARJETA
  sTarjeta=miComun.ListaCaracteres(sTarjeta);
  sSentencia= sSentencia + m05bConstantes.COL_31_TARJETA+ " in ("+sTarjeta+")";
if (!(sCta.equals(""))){
    	sSentencia= sSentencia +" AND "+ m05bConstantes.COL_31_CUENTA+ " = '"+sCta+"'";}
if (sTag.equals("0")){
    	sSentencia= sSentencia +" AND "+ m05bConstantes.COL_31_TAG+" Is Null ";}
if (sTag.equals("1")){
    	sSentencia= sSentencia +" AND "+ m05bConstantes.COL_31_TAG+" Is NOT  Null ";}

        pstmt = conn.prepareStatement(sSentencia);
        rs = pstmt.executeQuery();
%>
	<TABLE class="general">
  <tr>
       <!--td width="90%" align="right"><INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Retornar" ONCLICK="JavaScript:fncRetornar();" onMouseOver="top.status='Retornar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/retornar.gif"></td-->
       <td width="90%" align="right"><input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:fncRetornar();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" /></td>				      					      
  </tr>
  <tr>
    <td colspan="2">
    <% if (rs.next() == true){ %>
		<embed name='pdfSolicitudTag' src='<%=srcPDF%>' type="application/pdf" width='736' height='500'></embed>
    <%} else {%>
		<embed name='pdfSolicitudTag' src='/parquemovil/SinDatos.pdf' type="application/pdf" width='736' height='500'></embed>
    <%}%>
	<%	} catch (Exception SQLException) {
		m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
			miLog.addTraza(SQLException);
		} 	finally{
				if (rs != null)
					rs.close();			
				if (pstmt != null)
					pstmt.close();
				if (conn != null)
					conn.close();}%>
  	</td>
  </tr>
</TABLE>
		
</form>
<script type="text/javascript" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bMsControl.js"></script>
 
</div>
</body>
</html>